Bug 127495

Summary: phpize missing from php build
Product: [Fedora] Fedora Reporter: Paul Morton <pmorton>
Component: phpAssignee: Joe Orton <jorton>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: redhat-bugzilla
Target Milestone: ---   
Target Release: ---   
Hardware: powerpc   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-07-14 07:38:06 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Paul Morton 2004-07-08 18:17:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7) Gecko/20040625

Description of problem:
phpize is not installed with standard RPM installation. 
phpize is part of the standard build of php (At least that it my
understanding). 
phpize is required to compile php-gtk (gtk.php.net) and others

Code: 
[root@pmac php-gtk-1.0.0]$ phpize
bash: phpize: command not found

[root@pmac php-gtk-1.0.0]$ ./buildconf
make: phpize: Command not found
make: *** [buildmk.stamp] Error 127


Version-Release number of selected component (if applicable):
PHP 4.3.7 (cgi) (built: Jun 28 2004 07:17:47)

How reproducible:
Always

Steps to Reproduce:
1. Install php
2. Type phpize at the commond prompt or
3. Search for phpize on your system
4. Try to compile the 1.X sources of php-gtk and it will tell you that
phpize is missing
    

Actual Results:  phpize cannot be found

Expected Results:  phpize runs

Additional info:
Comment 1 Robert Scheck 2004-07-14 07:18:56 EDT
Please close this report with notabug, because:

--- snipp ---
# which phpize && rpm -qf `which phpize`
/usr/bin/phpize
php-devel-4.3.7-4
#
--- snapp ---

and:

--- snipp ---
# rpm -qpl http://download.fedora.redhat.com/pub/fedora/linux/core/development/ppc/Fedora/RPMS/php-devel-4.3.7-4.ppc.rpm | grep phpize
/usr/bin/phpize
/usr/lib/php/build/phpize.m4
#
--- snapp --

Paul, your problem never was a bug, because phpize is since 4.3.x 
already available in php-devel (also at ppc)...